#ifndef _CONFIG_H
#define _CONFIG_H

#include "fetch.h"

typedef struct {
	char *title;
	int (*func)(const char *title, const FETCH fetch);
} PARAMETR;

/* Config, EDIT THERE */
#define COLORS "   \033[31mx \033[32mx \033[33mx \033[34mx \033[35mx \033[0m"
#define FONT_COLOR "\033[1;37m"
#define BAR_WIDTH 10
/* Uncomment if you use firacode font */
/* #define FIRA_CODE */

/* Full path to capacity file */
/* Example: /sys/class/power_supply/battery/capacity */
#define BATT_NAME NULL

/* #define PRINT_TOTAL_MEM */
/* #define PRINT_USER_MEM */
#define PRINT_USED_AND_TOTAL_MEM

#ifdef _MAIN_H
PARAMETR CONFIG[] = {
	{"     ", Blank},
	{"\033[1;31m    ", PrintOs},
	{"    ", GetKernel},
	{"    ", GetUptime},
	{"    ", GetPkg},
	{"      ", Blank},
	{COLORS,   Blank}
};

#endif

#endif
